# Generated by Django 3.2.5 on 2021-07-05 23:28

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app_masterbikes', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Modelo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Refaccion',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('preceioVenta', models.PositiveIntegerField()),
                ('marca', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='app_masterbikes.marca')),
                ('modelo', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='app_masterbikes.modelo')),
            ],
        ),
        migrations.CreateModel(
            name='Bicicleta',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('color', models.CharField(max_length=15)),
                ('aro', models.PositiveIntegerField()),
                ('precioArriendo', models.PositiveIntegerField()),
                ('precioVenta', models.PositiveIntegerField()),
                ('marca', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='app_masterbikes.marca')),
                ('modelo', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='app_masterbikes.modelo')),
            ],
        ),
    ]
